if CLIENT then return end

if zrmine.config.EnableResourceAddfile then
	zrmine = zrmine or {}
	zrmine.force = zrmine.force or {}

	function zrmine.force.AddDir(path)
		local files, folders = file.Find(path .. "/*", "GAME")

		for k, v in pairs(files) do
			resource.AddFile(path .. "/" .. v)
		end

		for k, v in pairs(folders) do
			zrmine.force.AddDir(path .. "/" .. v)
		end
	end

	zrmine.force.AddDir("particles")
	zrmine.force.AddDir("resource/fonts")
	zrmine.force.AddDir("sound/zrms")
	zrmine.force.AddDir("materials/entities")
	zrmine.force.AddDir("materials/vgui/entities")
	zrmine.force.AddDir("materials/zerochain/zrms/particles")
	zrmine.force.AddDir("materials/zerochain/zrms/ui")
	zrmine.force.AddDir("models/zerochain/props_mining")
	zrmine.force.AddDir("materials/zerochain/props_mining")
	zrmine.force.AddDir("materials/zerochain/props_mining/conveyorbelt")
	zrmine.force.AddDir("materials/zerochain/props_mining/crate")
	zrmine.force.AddDir("materials/zerochain/props_mining/crusher")
	zrmine.force.AddDir("materials/zerochain/props_mining/melter")
	zrmine.force.AddDir("materials/zerochain/props_mining/oremine")
	zrmine.force.AddDir("materials/zerochain/props_mining/refinery")
	zrmine.force.AddDir("materials/zerochain/props_mining/storagecrate")
else
	resource.AddWorkshop("1311178246") -- Zeros Retro Mine Contentpack
end
